.\" Written Tue May 12 19:30:00 1998 by ISHIOKA Takashi
.\" (ishioka@ppp01.infopepper.or.jp )
.TH libapm l "" "TOSHIBA Libretto only"  ""
.SH NAME
libapm \- TOSHIBA Libretto BIOS Setup Program
.SH SYNOPSIS

.B libapm
{\-v,\-\-Version}
{\-h,\-\-Help}

.B libapm
{\-P,\-\-PowerUp (boot,hibernation)}
{\-T,\-\-StandbyTime (0,5,10,15,30,45,60)}
{\-a,\-\-AutoOff (disable,10,20,30,40,50,60)}
{\-S,\-\-PanelSwitch (disable,enable)}
{\-A,\-\-PowerOn (disable,<time>)}
{\-L,\-\-LcdPower (0,1,2,3)}
{\-V,\-\-Volume (0,1,2,3)}
{\-O,\-\-Off (suspend|hibernation)}

.SH DESCRIPTION
.B libapm
configures the setting of Toshiba Libretto.
Changes are done immediately and rebooting is not neccesary.

.SH OPTIONS
.TP
.B \-P,\-\-PowerUp (boot,hibernation)
sets the Hibernation function.
If hibernation is specified, the hibernation function is enabled.
If boot is specified, it is disabled.
.TP 
.B \-T,\-\-StandbyTime (0,5,10,15,30,45,60)
sets the Standby time.
If the Stanby time is specified, the power is not cut after hibernation
for that time in order to resume quickly from hibernation.
You can select the time from 0, 5, 10, 15, 30, 45, 60 minutes.
This function is valid if the hibernation function is enabled.
.TP
.B \-a,\-\-AutoOff (disable,10,20,30,40,50,60)
sets the time to the Auto Power Off.
You can select the time from disable, 10, 20, 30, 40, 50, 60 minutes.
This function is valid if the hibernation function is enabled.
.TP
.B \-S,\-\-PanelSwitch (disable,enable)
sets the Panel Switch funtion. If enabled, hibernation is done by 
closing the panel and vice versa.
This function is valid if the hibernation function is enabled.
.TP
.B \-A,\-\-PowerOn (disable,<time>)
sets the Power On timer.
The format of the <time> is hh:mm. If time is specified, power is 
automatically turned on at the time. 
.TP
.B \-L,\-\-LcdPower (0,1,2,3)
sets the brightness of the LCD.
0 is the darkest and 3 is the brightest.
.TP
.B \-V,\-\-Volume (0,1,2,3)
sets the volume of beep sound.
0 is off, 1 is minimum and 3 is maximum.
.TP
.B \-O,\-\-Off (suspend|hibernation)
sets the suspend/hibernation mode. (100CT Only)
.TP
.B \-v,\-\-Version 
displays the version of this program.
.TP
.B \-h,\-\-Help 
displays the simple usage.

.SH BUGS
Completely no warranty. It may or may not contain any bugs.
Operation on the machines but Toshiba Libretto is uncertain.
A part of function might work on Toshiba's other notebook machines.
You must have root privilege to run this program.

.SH AUTHORS
.TP
.B V1.0
Mr. M. Iizuka (PXN02133@niftyserve.or.jp): Original program
Mr. Nomura (GBB00111@niftyserve.or.jp): SMI patches
Ishioka (ishioka@ppp01.infopepper.or.jp): Minor fixes and documentation


